### Name: ksvm-class
### Title: Class "ksvm"
### Aliases: ksvm-class SVindex cross alpha alphaindex coeff cross error
###   fit prob.model type kernelf xmatrix ymatrix scaling lev kcall prior
###   show SVindex,ksvm-method alpha,ksvm-method alphaindex,ksvm-method
###   cross,ksvm-method error,ksvm-method fit,ksvm-method prior,ksvm-method
###   prob.model,ksvm-method kernelf,ksvm-method kpar,ksvm-method
###   lev,ksvm-method kcall,ksvm-method scaling,ksvm-method
###   type,ksvm-method xmatrix,ksvm-method ymatrix,ksvm-method
### Keywords: classes

### ** Examples

## simple example using the spam data set
data(spam)

## create test and training set
spamtrain <- spam[1:(2 * dim(spam)[1]/3), ]
spamtest <- spam[((2 * dim(spam)[1]/3) + 1):length(spam), ]

## train a support vector machine
filter <- ksvm(type~.,data=spamtrain,kernel="rbfdot",kpar=list(sigma=0.05),C=5,cross=3)
filter

# the kernel  function
kernelf(filter)
# the alpha values
alpha(filter)
# the coefficients
coeff(filter)
# the fitted values
fit(filter)
# the cross validation error
cross(filter)




