### Name: predict.ksvm
### Title: predict method for support vector object
### Aliases: predict.ksvm predict,ksvm-method
### Keywords: methods regression classif

### ** Examples


## example using the spam data set
data(spam)
## create test and training set
traindex <- sample(1:dim(spam)[1],2*dim(spam)[1]/3)
spamtrain <- spam[traindex, ]
spamtest <- spam[-traindex, ]

## train a support vector machine
filter <-
ksvm(type~.,data=spamtrain,kernel="rbfdot",kpar=list(sigma=0.05),C=5,cross=3,prob.model=TRUE)
filter

## predict mail type probabilities on the test set
mailtype <- predict(filter,spamtest,type="probabilities")
mailtype[c(1:10,1000:1010),]




