### Name: sigest
### Title: Hyperparameter estimation for the Gaussian Radial Basis kernel
### Aliases: sigest sigest,formula-method sigest,matrix-method
### Keywords: classif regression

### ** Examples


## estimate good sigma values for spam
data(spam)
srange <- sigest(type~.,data = spam)
srange
## Use that to build a spam filter
s <- sum(srange)/2
s
## create test and training set
index <- sample(1:dim(spam)[1])
spamtrain <- spam[index[1:floor(2 * dim(spam)[1]/3)], ]
spamtest <- spam[index[((2 * ceiling(dim(spam)[1]/3)) + 1):dim(spam)[1]], ]

## train a support vector machine
filter <- ksvm(type~.,data=spamtrain,kernel="rbfdot",kpar=list(sigma = s),C=50,cross=3)
filter

## predict mail type on the test set
mailtype <- predict(filter,spamtest[,-58])

## Check results
table(mailtype,spamtest[,58])




